linux-mips
[Top] [All Lists]

Re: Ah, a problem with rpm!

To: SGI Linux <linux@cthulhu.engr.sgi.com>
Subject: Re: Ah, a problem with rpm!
From: Alex deVries <adevries@engsoc.carleton.ca>
Date: Sun, 21 Jun 1998 20:41:30 -0400 (EDT)
Cc: Zach Brown <zab@zabbo.net>
In-reply-to: <Pine.LNX.3.95.980621172757.20728H-100000@thebrain>
Sender: owner-linux@cthulhu.engr.sgi.com
On Sun, 21 Jun 1998, Zach Brown wrote:
> > or similiar.  On my Indy, I _don't_ get the "Requires: " line at all. Do
> > other people?
> 
> have you checked the scripts that generate this stuff?  they have to be
> geneated per port of rpm, if I remember right.  sorry i'm being so vague.

Yes, the issue is that the rpm RPM that I released (2.5.1-0) has a broken
find-requires (which happened because the binutils RPM I used didn't have
a /usr/lib/ldscripts).  So, all packages generated wouldn't have any
requires setup.

Ack.

So, time to rebuild the whole damned distribution again, although this
time I know how to do it.

Let me know if you've got CPU power to spare, folks... I'll set up a
co-ordinated build, and release a proper version of rpm.


- Alex


<Prev in Thread] Current Thread [Next in Thread>